function [new_patterns, Aw, means] = Whitening_transform(train_patterns, param, plot_on)

%Reshape the data points using the whitening transform
%Inputs:
%	train_patterns	- Input patterns
%	param			- Unused
%   plot_on         - Unused
%
%Outputs
%	new_patterns    - New patterns
%	targets			- New targets
%   Aw				- Whitening matrix
%   means           - Means vector

[r,c]		 = size(train_patterns);
means        = mean(train_patterns')';

new_patterns = train_patterns - means*ones(1,c);
cov_mat      = cov(new_patterns',1);

if( rank(cov_mat)~=length(cov_mat) )
  error( 'Low rank warning' ); 
end

Aw			 = inv(sqrtm(cov_mat));
new_patterns = Aw*new_patterns;

