function [ res ] = randIndex( lowerLimit, upperLimit, nIndices )
%  
% Returns a row vector of nIndices random integers between
% [ lowerLimit, upperLimit ].
% 
% Note: The vector returned does not ness. contain all distinct
% element.  One would use unique to get a unique set but being sure
% that the element still returned nIndices elements.
% 
% ToDo: Resolve what we want this function to do in the case
% mentioned above.
%
% Written by:
% -- 
% John L. Weatherwax, Ph.D.         11-27-2001
% MIT Lincoln Laboratory
% 244 Wood Street
% Lexington, MA 02420-9176 USA
% 
% email: weatherwax@ll.mit.edu
% Voice: (781) 981-5370       Fax: (781) 981-0721
%
% Please send comments and especially bug reports to the
% above email address.
%

diff = upperLimit - lowerLimit;
res  = round( lowerLimit + diff*rand( 1, nIndices ) );
